%global instdir %{_libdir}
%global baseinstdir %{instdir}/libreoffice
%global sdkinstdir %{baseinstdir}/sdk

Name:          openoffice.org-diafilter
Version:       1.7.2
Release:       10%{?dist}
Summary:       DIA diagram shape importer and gallery extension for LibreOffice
Group:         Applications/Productivity
License:       GPLv3+ and LGPLv3+
URL:           http://fedorahosted.org/openoffice.org-diafilter
Source:        http://fedorahosted.org/releases/o/p/%{name}/%{name}-%{version}.tar.bz2

Patch0:        0001-add-missing-include.patch

BuildRequires: libreoffice-sdk, boost-devel, dia, zlib-devel, zip
Requires:      libreoffice-draw

%description
This package contains an importer component for LibreOffice to enable importing
the "dia" diagram and shape formats. A gallery of the standard set of "dia"
shapes are made available from Gallery for convenience.

%prep
%autosetup -p1
sed -i 's|-BUCR||g;s| -Werror||' Makefile
sed -i 's|valueOf(|number(|g'  src/shapefilter.cxx  src/diafilter.cxx src/basegfx/b2dsvgpolypolygon.cxx

%build
. %{sdkinstdir}/setsdkenv_unix.sh
DIA_SHAPES_DIR=%{_datadir}/dia/shapes make %{?_smp_mflags} OPT_FLAGS="$RPM_OPT_FLAGS"

%install
install -d -m 755 $RPM_BUILD_ROOT%{baseinstdir}/share/extensions/diafilter.oxt $RPM_BUILD_ROOT/%{_datadir}/applications
unzip -q build/diafilter.oxt -d $RPM_BUILD_ROOT%{baseinstdir}/share/extensions/diafilter.oxt
cp -p openoffice.org-diafilter.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/openoffice.org-diafilter.desktop

%files
%{baseinstdir}/share/extensions/diafilter.oxt
%{_datadir}/applications/openoffice.org-diafilter.desktop
%doc README NEWS TODO gpl-3.0.txt lgpl-3.0.txt

%changelog
* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 1.7.2-10
- Rebuild for boost 1.57.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 1.7.2-7
- Rebuild for boost 1.55.0

* Wed Jan 08 2014 Caolán McNamara <caolanm@redhat.com> - 1.7.2-6
- Resolves: rhbz#995762 not built with RPM_OPT_FLAGS

* Wed Aug 07 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 1.7.2-5
- Fix build failure as cpumaker dropped -BURC option
- Fix deprecated function call valueOf() to number()

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 1.7.2-3
- Rebuild for boost 1.54.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 26 2012 Caolán McNamara <caolanm@redhat.com> - 1.7.2-1
- Resolves: rhbz#843251 FTBFS

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 24 2011 Caolán McNamara <caolanm@redhat.com> - 1.7.1-1
- Resolves: rhbz#715925 FTBFS

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 24 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.0-6
- Resolves: rhbz#665512 Change package description

* Tue Dec 07 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.0-5
- Resolves: rhbz#660917 FTBFS

* Sat Oct 23 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.0-4
- rebuild for libreoffice

* Wed Sep 29 2010 jkeating - 1.7.0-3
- Rebuilt for gcc bug 634757

* Sat Sep 18 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.0-2
- Resolves: rhbz#635286 build with $RPM_OPT_FLAGS

* Fri Sep 17 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.0-1
- latest version

* Thu Aug 26 2010 Caolán McNamara <caolanm@redhat.com> - 1.6.0-1
- Initial import
